# Kneron PLUS

Kneron PLUS (Kneron Platform Library United Software) is a C/Python interface for model inference on Kneron edge devices. This project contains C/Python examples and Kneron PLUS API to control Kneron edge devices.

This document only provides brief introduction.
For more detailed information, please visit the following documents:

## C

- For the quick start, please refer [**Getting Started**](./plus_c/getting_started.md)
- For the more complete introduction, please refer  [**Introduction**](./plus_c/introduction/index.md)
- For the simple usage of customized API, please refer  [**Customized API**](./plus_c/customized_api/index.md)
- For the Kneron ModelZoo, please refer [**Kneron ModelZoo**](./plus_c/modelzoo/index.md)
- For the API document, please refer <http://doc.kneron.com/docs/#plus_c_api/api_reference_1.3.x/kp_struct.h/>

## Python

- For the quick start, please refer [**Getting Started**](./plus_python/getting_start.md)
- For the more complete introduction, please refer [**Introduction**](./plus_python/introduction/index.md)
- For the API tutorial, please refer [**Tutorial**](./plus_python/tutorial/index.md)
- For the Kneron ModelZoo, please refer [**Kneron ModelZoo**](./plus_python/modelzoo/index.md)
- For the API document, please refer <http://doc.kneron.com/docs/#plus_python/api_document/>

Kneron PLUS is compatible with the platform, OS and Python version listed below:

| OS                            | Platform      | Python Version          |
|-------------------------------|---------------|-------------------------|
| Windows 10                    | x86_64 64-bit | 3.5-3.9 (x86_64 64-bit) |
| Ubuntu 18.04                  | x86_64 64-bit | 3.5-3.9 (x86_64 64-bit) |
| Raspberry Pi OS - Buster 10   | armv7l 32-bit | 3.5-3.9 (armv7l 32-bit) |
