## Kneron ModelZoo

The **`Kneron ModelZoo`** provides pre-trained model weight for you to easily retrain the model to fit the custom applications. You can retrain the model and convert it to NEF model by scripts provided in [**`Kneron Toolchain Docker`**](http://doc.kneron.com/docs/#toolchain/manual/).

In addition, the  **`Kneron PLUS`** provides `Generic Inference` APIs for you to quickly build the prototype application. You can learn how to leverage `Generic Inference` APIs to do `inference` and `post-processing` by the following ModelZoo examples:

* KL520 ModelZoo Example
    - [KL520KnModelZooGenericInferenceClassification.py](./chapter/kn-model-zoo_generic_inference_classification.md)
    - [KL520KnModelZooGenericInferenceFcos.py](./chapter/kn-model-zoo_generic_inference_post_fcos.md)
    - [KL520KnModelZooGenericInferenceYolov5.py](./chapter/kn-model-zoo_generic_inference_post_yolov5.md)
* KL720 ModelZoo Example
    - [KL720KnModelZooGenericInferenceClassification.py](./chapter/kn-model-zoo_generic_inference_classification.md)
    - [KL720KnModelZooGenericInferenceFcos.py](./chapter/kn-model-zoo_generic_inference_post_fcos.md)
    - [KL720KnModelZooGenericInferenceYolov5.py](./chapter/kn-model-zoo_generic_inference_post_yolov5.md)

### Reference

- [Introduction](../introduction/index.md)
- [Tutorial](../tutorial/index.md)
- [API Document](http://doc.kneron.com/docs/#plus_python/api_document/)