## Tutorial

The **`kp`** is Kneron PLUS Python API for controlling Kneron Device. The tutorials provide the following sections for building Kneron Edge AI Application by  **`kp`** API.

> Note: Kneron device **`KL520`** is used in following tutorials.

- [Quick Start](./chapter/quickstart.md)
- [Get Kneron PLUS Version](./chapter/get_kneron_plus_version.md)
- [Scan All Kneron Device](./chapter/scan_all_kneron_device.md)
- [Connect to Kneron device](./chapter/connect_device.md)
- [Upload SCPU/NCPU Firmware](./chapter/upload_firmware.md)
- [Load NEF Model](./chapter/load_nef_model.md)
- [Get System Information on Kneron Device](./chapter/get_system_information.md)
- [Get Model Information on Kneron Device](./chapter/get_model_information.md)
- Model Inference
    * [Model Inference - Image Types](./chapter/model_inference_with_different_image_types.md)
    * [Model Inference - Retrieve Node Mode](./chapter/model_inference_with_different_retrieve_node_mode.md)
- Advance
    * [Model Inference - Inference on Cropped Regions](./chapter/model_inference_with_inference_on_cropped_regions.md)
    * [Model Inference - Inference with Drop Frame](./chapter/model_inference_with_inference_with_drop_frame.md)
    * [Model Inference - Inference without Pre-Processing](./chapter/model_inference_with_inference_without_pre_processing.md)

### Reference

- [Introduction](../introduction/index.md)
- [Kneron ModelZoo](../modelzoo/index.md)
- [API Document](../api_document/index.md)